All Projects

Project Category Task Type Priority Severity Summary Status Progress
PackagesAnyFreedom IssueVery HighCritical [kodi] contains youtube-dl which runs non-free scripts Closed
100%
Task Description

Please replace by avideo, preferably by a release which receives updates so that it can still function within kodi (the non-LTS version).

Replace by LTS version of avideo to follow Hyperbola Packaging Guidelines.

PackagesAnyFreedom IssueVery HighCritical [luminancehdr] depends on non-free qt5-webengine Closed
100%
Task Description

Please repackage or replace with free software which provides similar functionality such as MacroFusion (which is available in the AUR).

The package cannot be installed. Here is the terminal output:

$ sudo pacman -S luminancehdr
resolving dependencies...
warning: cannot resolve "qt5-webengine", a dependency of "luminancehdr"
:: The following package cannot be upgraded due to unresolvable dependencies:
      luminancehdr

:: Do you want to skip the above package for this upgrade? [y/N] y
looking for conflicting packages...
 there is nothing to do
PackagesAnyFreedom IssueVery HighCritical [qtemu] package recommends installing non-free OSes Closed
100%
Task Description

When running QtEmu for the first time and running the new machine wizard, the software lists non-free operating systems and refers to GNU/Linux as Linux.

It would be nice to list LibertyBSD in the list of distros in this software in addition to GNU/Linux and GNU/Hurd (which are listed in aqemu).

PackagesAnyFreedom IssueVery HighCritical [purple-skypeweb] Plugin only useful with Skype Closed
100%
Task Description

Please remove as plugin is only useful with Skype hosted by a single company on a single server as far as I can tell (unlike pidgin-sipe).

PackagesAnyBug ReportVery HighCritical [electrum] package no longer works Closed
100%
Task Description

Old clients (like the one packages by Hyperbola) no longer work due to changes in Electrum:

https://github.com/kyuupichan/electrumx/pull/760

The fix is to use a newer version.

PackagesAnyBug ReportHighCritical [utox] package needs rebuilding Closed
100%
Task Description

I get this error when trying to run it:

$ utox
utox: error while loading shared libraries: libtoxencryptsave.so.1: cannot open shared object file: No such file or directory

PackagesAnyBug ReportHighCritical [electrum] updated package still does not work Closed
100%
Task Description

Here is the terminal output:

$ electrum
Error: No module named ‘aiorpcx’. Try ‘sudo python3 -m pip install <module-name>

I think a newer python version (e.g. 3.7) might be needed in order to get it to work as well as even after installing missing modules via pip locally the package does not run.

ServicesGeneral BrandingBug ReportHighHigh Cannot view services properly with white text on black  ...Closed
100%
Task Description

The letters inside the buttons (switch, show task#) cannot be viewed.

PackagesAnyBug ReportMediumHigh [xf86-video-intel] windows are not rendered correctly i ...Closed
100%
Task Description

I’m encountering this bug when using latest Pale Moon (version 2.8.0.1).

https://forum.palemoon.org/viewtopic.php?f=37&t=19941&sid=3cd95f0870b5cef74c582eb9a3ea778a

The bug doesn’t only affect the preferences dialog - other windows are not rendered correctly either such as DownThemAll! add-on (see attached image).

The suggested fix is to update the intel driver (the about:config suggested change makes the preference dialog usable but other windows such as DownThemAll! still aren’t displayed correctly).

I’m using a T60 with intel graphics.

PackagesAnyBug ReportMediumHigh [cups] lp command no longer works Closed
100%
Task Description

Probably related to this bug:

https://issues.hyperbola.info/index.php?do=details&task_id=1419

[alon@T60-hyperbola ~]$ lp -d HP_OfficeJet_Pro_8710 /home/alon/Desktop/all/testpages/clean_page.pdf
    lp: Unsupported document-format "application/pdf".
    [alon@T60-hyperbola ~]$ lp -d HP_OfficeJet_Pro_8710 /home/alon/Desktop/all/testpages/clean_page.ps
    lp: Unsupported document-format "application/postscript".
PackagesAnyBug ReportVery LowHigh [iceweasel-uxp] windows don't render correctly in add-o ...Closed
100%
Task Description

I can’t switch windows in add-ons such as session manager.

It’s probably the same bug which appears in palemoon (inherited from UXP). See here:

https://issues.hyperbola.info/index.php?do=details&task_id=1160&opened=24&status[0]=

https://forum.palemoon.org/viewtopic.php?f=37&t=19941&sid=3cd95f0870b5cef74c582eb9a3ea778a

PackagesAnyBug ReportVery LowHigh [rubyripper] GUI doesn't work Closed
100%
Task Description

rrip_gui does not work. The fix is to install cairo-gobject which is not in the repos. Attached is a working PKGBUILD adapted from the official one.

PackagesAnyFeature RequestMediumMedium [epiphany] restore the hidden setting to disable JavaSc ...Closed
100%
Task Description

Please restore the hidden setting (which can be enabled via dconf-editor) to disable JavaScript, which was removed last year (see here for details: https://github.com/GNOME/epiphany/blob/master/NEWS ).
Please do not remove the browser from the repos, as it renders this website correctly, unlike Mozlla based browsers (see here for more info: https://issues.hyperbola.info/index.php?do=details&task_id=131). The browser also provides other functions currently unavailable in Mozilla browsers, such as accessing LibreCMC router’s non-SSL web interface.

PackagesAnyBug ReportMediumMedium [lxmusic]package needs rebuilding as it fails to run Closed
100%
Task Description

Rebuilt version (using PKGBUILD from Arch) works fine. Same is true for lxmusic-gtk3 (which the PKGBUILD also builds).

https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/lxmusic

PackagesAnyBug ReportMediumMedium [iceweasel-uxp] animated webp files stop playing after  ...Closed
100%
Task Description

I converted a gif file to webp using gif2webp. The file plays back using vwebp but stops playing back after a few seconds when run in Iceweasel-UXP.

Here is a file you can test (made from Sintel):
https://coinsh.red/p/sintel.webp

PackagesAnyFeature RequestVery LowMedium Remove dependency of packages on pulseaudio/libpulse Closed
100%
Task Description

Similar to systemd, pulseaudio or libpulse is forced upon users as many packages require it such as kodi, gnome-shell (and thus also gdm), ffmpeg, gst-plugins-good, simplescreenrecorder, clementine, empathy, seamonkey (iceape), fluidsynth, mumble and qemu, Most/all of these packages can probably be compiled with pulseaudio or libpulse as an optional dependency instead.

PackagesAnyBug ReportVery LowMedium [mate-panel] country flags for keyboard layouts are mis ...Closed
100%
Task Description

After enabling show-flags via dconf-editor in org.mate.peripherals-keyboard-xkb.indicator the flags don’t show up. The simple workaround is to copy flags you want into ~/.icons/flags (after creating the directory) from here

https://github.com/linuxmint/flags/tree/master/usr/share/iso-flag-png

and then to reboot.

It seems to be this bug:

https://askubuntu.com/questions/1059324/how-to-show-current-keyboard-layout-on-mate-panel-as-country-flag/1059325#1059325

PackagesAnyBug ReportVery LowMedium [ffmpegthumbnailer] missing support for some media form ...Closed
100%
Task Description

ffmpegthumbnailer does not support some media formats since they do not appear in its configuration file ffmpegthumbnailer.thumbnailer which can be found in /usr/share/thumbnailers/. By editing the file ffmpegthumbnailer.thumbnailer one can add thumbnail support for embedded art in audio formats such as flac and mp3 (using the -m flag) and thumbnail support for webp (a new image format which iceweasel-uxp and gthumb support). I’m attaching my edited file (I just added a few common audio formats and webp and added the -m flag and removed the -f flag).

PackagesAnyImplementation RequestVery LowMedium [foxtrotgps] please add package to repos Closed
100%
Task Description

Unlike other mapping software (gnome-maps, emerillon) it does not depend on geoclue/geoclue2 (or on kde packages like marble). The package was added to Arch’s official repos over a year ago. Their PKGBUILD builds fine.

PackagesAnyFeature RequestVery LowMedium [slim-themes] please add hyperbola branded variant Closed
100%
Task Description

slim-themes seems to be considered free according to Parabola - they have an issue with arch branding (slim-themes::::[branding][FIXME:package] has “archlinux” theme) which they resolve be creating the package parabola-themes-slim. Perhaps this can be the basis for hyperbola branded themes.

https://git.parabola.nu/blacklist.git/plain/blacklist.txt https://www.parabola.nu/packages/libre/x86_64/parabola-themes-slim/

PackagesAnyImplementation RequestVery LowMedium [pagamigo] please package this Python script for PayPal ...Closed
100%
Task Description

This Python script enables users to use PayPal without proprietary JavaScript. The package requires newer Python modules than those provided by Hyperbola.

requests>=2.18.1
lxml>=4.2.3
cssselect>=1.0.3

The source code can be found here, licensed under the GPL.

https://notabug.org/alyssa/pagamigo

Pagamigo was also covered on tech news website soylentnews recently.

https://soylentnews.org/article.pl?sid=18/11/09/0446226

PackagesAnyImplementation RequestVery LowMedium [purple-matrix] Please add package Closed
100%
Task Description

Package is a libpurple plugin for the Matrix protocol which is consistent with Hyperbola’s social contract as Matrix is a federated protocol.

Source code can be found here licensed under GPLv2:

https://github.com/matrix-org/purple-matrix

PKGBUILD for git version is available here (last stable release is from two years ago so git version is probably the best version to use):

https://aur.archlinux.org/packages/purple-matrix-git/

PackagesAnyImplementation RequestVery LowMedium [midori] please re-add new releases Closed
100%
Task Description

The security issues regarding the package which led to the package’s removal from Hyperbola (old WebKit and Vala dependency) have apparently been resolved in recent releases, see the new comment in this bug report and the latest PKGBUILD in Arch’s repo.

https://launchpad.net/bugs/1698483

https://www.archlinux.org/packages/community/x86_64/midori/

PackagesAnyBug ReportVery LowMedium [hypervideo] YouTube no longer works Closed
100%
Task Description

When trying to download a video I get a token error.

Here is an example:

$ hypervideo https://www.youtube.com/watch?v=-2KJ-g-QgMk[youtube] -2KJ-g-QgMk: Downloading webpage
[youtube] -2KJ-g-QgMk: Downloading video info webpage
ERROR: -2KJ-g-QgMk: “token” parameter not in video info for unknown reason;

PackagesAnyBug ReportVery LowMedium [hypervideo] YouTube downloads do not extract correct f ...Closed
100%
Task Description

See example:

hypervideo https://www.youtube.com/watch?v=3vpGZ69CBYM[youtube] 3vpGZ69CBYM: Downloading webpage
[youtube] 3vpGZ69CBYM: Downloading video info webpage
WARNING: Unable to extract video title
WARNING: Requested formats are incompatible for merge and will be merged into mkv.
[download] Destination: _-3vpGZ69CBYM.f137.mp4

PackagesAnyBug ReportVery LowMedium [slim] login screen not displaying correctly Closed
100%
PackagesAnyBug ReportVery LowMedium [openrc] cannot load fuse at boot Closed
100%
PackagesAnyBug ReportVery LowMedium [exfat-utils] filesystem can only be mounted manually Closed
100%
PackagesAnyBug ReportVery LowMedium [hypervideo] soundcloud downloads display 401 unauthori ...Closed
100%
PackagesAnyImplementation RequestVery LowMedium [chdkptp] please add package to control Canon cameras Closed
100%
PackagesAnyFeature RequestDeferMedium [aqemu] libertybsd is missing from installation list Closed
100%
PackagesAnyFreedom IssueVery LowLow [wireshark*] mentions non-free OSes in pacman descripti ...Closed
100%
PackagesAnyFreedom IssueVery LowLow [keepass] mentions non-free OSes in pacman package desc ...Closed
100%
PackagesAnyFeature RequestVery LowLow [dreamchess]please add package Closed
100%
InstallationGeneralFeature RequestVery LowLow [FAQ]Please note that not all RAR archives are supporte ...Closed
100%
PackagesAnyFreedom IssueVery LowLow [erika] please add package to repos Closed
100%
PackagesAnyFeature RequestVery LowLow [vobsub2srt] please add package Closed
100%
ServicesGeneralFeature RequestVery LowLowhyperbola branding - add guidelines to packagesUnconfirmed
0%
PackagesAnyPrivacy IssueVery LowLow [purple-plugin-pack] Provides Napster support which is  ...Closed
100%
PackagesAnyBug ReportVery LowLow [openssl-1.0] Newer version required for plowshare MEGA ...Closed
100%
PackagesAnyBug ReportVery LowLow [pacman] warnings after migration Closed
100%
PackagesAnyBug ReportVery LowLow [hypervideo] "HTTP Error 403: Forbidden" error on some  ...Closed
100%
PackagesAnyImplementation RequestVery LowLow [chdkptp] please add package to repos Closed
100%
Showing tasks 1 - 43 of 43 Page 1 of 1

Available keyboard shortcuts

Tasklist

Task Details

Task Editing